_idGenObjectAttribute-2{ 
  max-width: 100%;
  margin-left: 10px;
}

img {
  max-width: 90%;
  gap: 20px;
}

.gallery {
  position: relative;
  width: 1240px;
  margin: 0 auto;
}

.gallery__box {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 20px;
  padding: 5px;
}

.gallery__image {
  width: 100%;
  height: auto;
  object-fit: cover;
  aspect-ratio: 2;
  border-radius: 2px;
  box-shadow: 0 0 1px #ccc, 0 0 3px black;
}

.gallery__box--regular {
  filter: grayscale(1) brightness(0.3);
}

.gallery__box--copy {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  clip-path: inset(0px 420px 0px 0px);
  transition: clip-path 0.7s cubic-bezier(0.77, 0, 0.175, 1);
}

:root:has(.gallery__image:nth-child(1):hover) .gallery__box--copy {
  clip-path: inset(0px 420px 0px 0);
}

:root:has(.gallery__image:nth-child(2):hover) .gallery__box--copy {
  clip-path: inset(0px 210px 0px 210px);
}

:root:has(.gallery__image:nth-child(3):hover) .gallery__box--copy {
  clip-path: inset(0px 0px 0px 420px);
}